Page MenuHomeFreeBSD

ncurses: Catchup with base changes
ClosedPublic

Authored by bapt on Feb 25 2021, 10:04 PM.
Tags
None
Referenced Files
Unknown Object (File)
Jan 18 2024, 10:52 AM
Unknown Object (File)
Jan 7 2024, 5:03 PM
Unknown Object (File)
Jan 7 2024, 5:03 PM
Unknown Object (File)
Jan 7 2024, 5:02 PM
Unknown Object (File)
Jan 7 2024, 4:48 PM
Unknown Object (File)
Dec 8 2023, 4:29 PM
Unknown Object (File)
Dec 8 2023, 3:20 AM
Unknown Object (File)
Dec 3 2023, 1:31 AM
Subscribers

Details

Summary

Switch to the non hashed db database
Add a site-terminfo in patch so ports can easily install their own
db without messing with devel/ncurses in a place which works with both
base ncurses and devel/ncurses

I will deal with the said port and remove @terminfo along with this change

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 37390
Build 34279: arc lint + arc unit

Event Timeline

bapt requested review of this revision.Feb 25 2021, 10:04 PM

Why switch to non-hashed DB? Isn't hashed faster?

Is there supposed to be a patch file here?

no the hashed db isn't faster, the hashed allow the ports tree to simply add its own terminal definition without the requirement of a script.
It allows base and ports to coexist better reusing common locations

This revision is now accepted and ready to land.Feb 26 2021, 8:07 AM

oups I accepted by accident my own patch ;)

In D28930#647904, @bapt wrote:

no the hashed db isn't faster, the hashed allow the ports tree to simply add its own terminal definition without the requirement of a script.
It allows base and ports to coexist better reusing common locations

Oh, OK then, I guess it's fine.

This revision was automatically updated to reflect the committed changes.